Delete code providers
curl --request DELETE \
--url https://api.agenhq.com/api/v1/code-providers/{providerId} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.agenhq.com/api/v1/code-providers/{providerId}"
headers = {"x-api-key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.agenhq.com/api/v1/code-providers/{providerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"workspace_id": "<string>",
"user_id": "<string>",
"platform": "gitlab",
"name": "<string>",
"base_url": "<string>",
"metadata": {
"type": "gitlab_personal_access_token",
"token": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"statusCode": 123,
"code": "<string>",
"error": "<string>",
"message": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Code Providers
Delete code providers
Deletes an existing code providers by ID.
Required API key scopes: any of code-providers:write, code-providers:all, all:write, all:all.
DELETE
/
api
/
v1
/
code-providers
/
{providerId}
Delete code providers
Authorizations
Path Parameters
Minimum string length:
1Response
A code provider connection configured for a workspace.
A code provider connection configured for a workspace.
The unique identifier of the code provider connection inside Agen.
The workspace that owns this code provider connection.
The user who connected this code provider account.
Available options:
gitlab A human-readable name for the connected code provider account.
The base URL Agen should use to talk to the code hosting platform API.
- Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes
When the code provider connection was created in Agen.
When the code provider connection was last updated in Agen.